// estudios.h - Declaración de la clase CEstudios
#if !defined( _ESTUDIOS_H_ )
#define _ESTUDIOS_H_
#include <vector>
#include <string>
#include <map>
#include "alumno.h"

class CEstudios
{
  private:
    int ID;
    std::string nombre; // nombre de la carrera
    std::vector<CAlumno> alumnos;
    std::map<int, std::string> asignatura; // lista de asignaturas de los estudios
  public:
    CEstudios(int id = 1, std::string nom = "");
    void asignarID(int id);
    int obtenerID() const;
    void asignarNombre(std::string nom);
    std::string obtenerNombre() const;
    void anyadirAlumno(CAlumno& al);
    CAlumno& alumno(int i);
    std::string nombreAsignatura(int id);
    size_t numeroAlumnos() const;
};

#endif // _ESTUDIOS_H_

